timeSelector::addOptions();

#include "addRegionOption.H"
#include "setRootCase.H"
#include "createTime.H"

instantList timeDirs = timeSelector::select0(runTime, args);
const bool allRegions = args.found("allRegions");

wordList regionNames;
wordList regionDirs;
if (allRegions)
{
    regionProperties rp(runTime);
    forAllConstIter(HashTable<wordList>, rp, iter)
    {
        const wordList& regions = iter();
        forAll(regions, i)
        {
            if (regionNames.find(regions[i]) == -1)
            {
                regionNames.append(regions[i]);
            }
        }
    }
    regionDirs = regionNames;
}
else
{
    word regionName;
    if (args.readIfPresent("region", regionName))
    {
        regionNames = wordList(1, regionName);
        regionDirs = regionNames;
    }
    else
    {
        regionNames = wordList(1, fvMesh::defaultRegion);
        regionDirs = wordList(1, word::null);
    }
}
